[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.DesktopHeight

The total vertical size for the desktop.

## Declaration

Source position: forms.pp line 1285

`public property TScreen.DesktopHeight : Integer read GetDesktopHeight;`

## Description

DesktopHeight is a read-only Integer property with the total height for the desktop. The property values is the result from GetSystemMetrics using the SM_CYVIRTUALSCREEN parameter.

DesktopHeight is used in the MoveToDefaultPosition method in TCustomForm. The values in DesktopLeft, DesktopTop, DesktopWidth and DesktopHeight are also assigned to members in the DesktopRect property.

## See also

TScreen.DesktopRect |  | Bounds rectangle for the desktop spanning all monitors.
TCustomForm.MoveToDefaultPosition |  | Moves the form to the location specified in the Position property.